import type { AppRouteModule } from '/@/router/types';

import { EMBEDDED_LAYOUT } from '/@/router/constant';

const data: AppRouteModule = {
  path: '/data',
  name: 'Data',
  component: EMBEDDED_LAYOUT,
  meta: {
    title: '数据管理',
    orderNo: 100000,
    ignoreAuth: true,
  },
  children: [
    {
      path: 'device',
      name: 'DevicePage',
      component: () => import('/@/views/data/device/index.vue'),
      meta: {
        title: '设备管理',
        ignoreAuth: true,
      },
    },
    {
      path: 'task',
      name: 'TaskPage',
      component: () => import('/@/views/data/task/index.vue'),
      meta: {
        title: '任务管理',
        ignoreAuth: true,
      },
    },
    {
      path: 'task/:id',
      name: 'TaskDetailPage',
      component: () => import('/@/views/data/task/detail.vue'),
      meta: {
        title: '任务详情',
        ignoreAuth: true,
      },
    },
    {
      path: 'task-log',
      name: 'TaskLogPage',
      component: () => import('/@/views/data/task-log/index.vue'),
      meta: {
        title: '任务日志',
        ignoreAuth: true,
      },
    },
  ],
};

export default data;
